%define module	MIME-tools
%define name	perl-%{module}
%define version	5.427
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl modules for parsing (and creating!) MIME entities
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/MIME/%{module}-%{version}.tar.gz
Requires:	perl-IO-stringy >= 1.211
Requires:	perl-MailTools >= 1.15
Requires:	perl(MIME::Base64) >= 3.03
Requires:   perl(File::Temp) >= 0.17
BuildRequires:	perl-IO-stringy >= 1.211
BuildRequires:	perl-MailTools >= 1.15
BuildRequires:	perl(MIME::Base64) >= 3.03
BuildRequires:	perl(File::Temp) >= 0.17
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
MIME-tools - modules for parsing (and creating!) MIME entities Modules in this
toolkit : Abstract message holder (file, scalar, etc.), OO interface for
decoding MIME messages, an extracted and decoded MIME entity, Mail::Field
subclasses for parsing fields, a parsed MIME header (Mail::Header subclass),
parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{module}-%{version}

%build
rm -f set-version.pl
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{perl_vendorlib}/MIME
%{_mandir}/*/*


%changelog
* Tue Jul 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.427-1mdv2009.0
+ Revision: 230452
- update to new version 5.427

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.426-1mdv2009.0
+ Revision: 194934
- update to new version 5.426

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Olivier Thauvin <nanardon@mandriva.org> 5.425-2mdv2008.1
+ Revision: 120276
- require perl(File::Temp) to fix 36010 (thx Berthy)

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.425-1mdv2008.1
+ Revision: 110920
- update to new version 5.425

  + Funda Wang <fundawang@mandriva.org>
    - fix source tarball url

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 5.420-2mdv2008.0
+ Revision: 19200
- rebuild


* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.420-1mdk
- 5.420

* Thu Dec 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.419-1mdk
- 5.419

* Mon Oct 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.418-1mdk
- 5.418

* Sat Jan 29 2005 Guillaume Rousse <guillomovitch@mandrake.org> 5.417-1mdk 
- new version
- spec cleanup

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.416-1mdk
- 5.416

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.415-1mdk
- New version 5.415
- Update dependency on MIME::Base64

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.411-7mdk
- own dir
- rebuild

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.411-6mdk
- rebuild against new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.411-5mdk
- rebuild for new auto{prov,req}

